{% extends "ajax/game/game.html.twig" %}
{% block ajax %}
    {{ parent() }}
    {% if not app.user.expert %}
        <div x-tutorial-content="* !10.text3 !10.text4" class="toplevel cover"></div>
        <div x-tutorial-content="*" class="toplevel control">
            <b>{{ 'Spielhilfe aktiv:'|trans({},'help') }}</b>
            <div>
                <strong x-tutorial-content="10.*">{{ 'Wie erkunde ich die Außenwelt?'|trans({},'help') }}</strong>
                <button x-advance-tutorial="finish">{{ 'Die Spielhilfe stoppen'|trans({},'help') }}</button>
            </div>
        </div>

        <div x-tutorial-content="10.text1" class="toplevel text arrow-down">
            <div class="help">
                <p>{% trans from "help" %}
                    Dieses Feld zeigt die Karte der Außenwelt. Du musst hier klicken, wenn du dich <strong>bewegen</strong> möchtest.
                {% endtrans %}</p>
                <button x-advance-tutorial="10.text2">{{ 'Weiter...'|trans({},'help') }}</button>
            </div>
        </div>
        <div x-tutorial-content="10.text2" class="toplevel text arrow-down">
            <div class="help">
                <p>{% trans from "help" %}
                    Der rechte Teil zeigt die Zone, in der du dich gerade befindest. Dort findest du auch alle verfügbaren Aktionsmöglichkeiten.
                {% endtrans %}</p>
                <button x-advance-tutorial="10.text3">{{ 'Weiter...'|trans({},'help') }}</button>
            </div>
        </div>
        <div x-tutorial-content="10.text3" class="toplevel text arrow-up">
            <div class="help">
                <p>{% trans from "help" %}
                    Klick auf <strong>einen der 4 Pfeile</strong>, um dich in eine neue Zone zu bewegen...
                {% endtrans %}</p>
            </div>
        </div>
        {% block tutorial %}
        {% endblock %}
    {% endif %}


    <div class="row">
        <div class="manual-background cell rw-4 rw-lg-6 rw-md-12">
            {% if not app.user.expert %}
                <div class="row beginner-mode">
                    <div class="cell rw-12 background">
                        <div class="hide-sm hide-md">
                            <h5>{{ 'Wie soll ich spielen?'|trans({},'help') }}</h5>
                            <ul>
                                <li x-tutorial-section="10" class="tick"><a class="small" href="#" x-advance-tutorial="10.text1">{{ 'Wie erkunde ich die Außenwelt?'|trans({},'help') }}</a></li>
                                <li><span class="small">{{ 'Entdecke deinen Beruf:'|trans({},'help') }} <img alt="" src="{{ asset('build/images/professions/' ~ app.user.activeCitizen.profession.icon ~ '.gif') }}" /> <a href="#" x-ajax-href="{{ path('help', {'name': app.user.activeCitizen.profession.name}) }}">{{ app.user.activeCitizen.profession.label|trans({},'game') }}</a></span></li>
                                <li><span class="small">{{ 'Lesen:'|trans({},'help') }} <a href="#" x-ajax-href="{{ path('help', {'name': 'world_beyond'}) }}">{{ 'Der Kleine Außenweltführer'|trans({},'help') }}</a></span></li>
                            </ul>
                        </div>
                        <img src="{{ asset('build/images/icons/small_expert.gif') }}" alt="">
                        <a class="small" href="#" x-toggle-expert-mode>{{ 'Den Lernmodus ausschalten'|trans({}, 'game') }}</a>
                    </div>
                </div>
            {% endif %}

            {% if map_public_json is defined %}
                <div class="row">
                    <div class="cell background map-box rw-12">
                        {% if citizen.hasRole('ghoul') %}
                            <div class="green-note warning-box">
                                <img src="{{ asset('build/images/status/status_ghoul.gif') }}" alt=""> {{'Du hast dich in einen {role} verwandelt!'|trans({'{role}': '<strong>' ~ 'Ghul'|trans({},'game') ~ '</strong>'}, 'game')|raw}}<br />
                                <em>{{ "Erzähle niemandem davon oder du wirst sofort erschossen!"|trans({}, 'game') }}</em><br />
                                {{ help_lnk('Wie man als Ghul spielt ?'|trans({},'game'), 'help', {'name' : 'ghouls'}) }}
                            </div>
                        {% endif %}
                            <div id="beyond-map" x-react-mount="map" x-react-data="{{ map_public_json }}"></div>

                            <div class="zone-info link" x-ajax-href="{{ path('help', {'name': 'control_points'}) }}">
                                <div class="row zone-cp note note-light">
                                    <div class="cell rw-5 left"><img src="{{ asset('build/images/icons/small_human.gif') }}" alt="CP" /> <span class="humans-cp">{% if zone.x != 0 or zone.y != 0 %}{% trans with {'{points}': zone_cp} from 'game' %}{points} Punkt(e){% endtrans %}{% else %}--{% endif %}</span></div>
                                    <div class="cell rw-2 center">
                                        {% if zone.x != 0 or zone.y != 0 %}
                                            {% if zone_cp < zone_zombies %}
                                                <img src="{{ asset("build/images/beyond/less.gif") }}" alt="<" />
                                            {% elseif zone_cp > zone_zombies %}
                                                <img src="{{ asset("build/images/beyond/more.gif") }}" alt=">" />
                                            {% else %}
                                                <img src="{{ asset("build/images/beyond/equal.gif") }}" alt="=" />
                                            {% endif %}
                                        {% else %}
                                            &nbsp;
                                        {% endif %}
                                    
                                    </div>
                                    <div class="cell rw-5 right"><span class="zombies-cp">{% if zone.x != 0 or zone.y != 0 %}{% trans with {'{points}': zone_zombies} from 'game' %}{points} Punkt(e){% endtrans %}{% else %}--{% endif %}</span> <img src="{{ asset('build/images/icons/small_zombie.gif') }}" alt="ZP" /></div>
                                    <div class="tooltip help">
                                        {{ 'Jeder Mensch zählt 2 Punkte, Zombies zählen je 1 Punkt.'|trans({}, 'game') }}<br />
                                        <em>{{ 'Wenn die Gesamtpunktzahl aller Menschen in einer Zone <strong>mindestens so groß</strong> wie die der Zombies ist, kann dir nichts geschehen... vorerst zumindest.'|trans({}, 'game')|raw }}</em>
                                    </div>
                                </div>
                                {% if zone.x != 0 or zone.y != 0 %}
                                    <div class="row zone-dist note note-light">
                                        {% if scout_level is not null and app.user.expert %}
                                            <div class="row zone-scout">
                                                <div class="padded cell rw-12">
                                                    {% if scout_level == 0 %}
                                                        <img alt="" src="{{ asset('build/images/icons/scout_lv0.gif') }}" /><span class="warning">&nbsp;{{ 'Kaum erforschte Zone'|trans({},'game') }}</span>
                                                    {% elseif scout_level == 1 %}
                                                        <img alt="" src="{{ asset('build/images/icons/scout_lv1.gif') }}" /><span>&nbsp;{{ 'Die Zone wurde teilweise erforscht'|trans({},'game') }}</span>
                                                    {% elseif scout_level == 2 %}
                                                        <img alt="" src="{{ asset('build/images/icons/scout_lv2.gif') }}" /><span>&nbsp;{{ 'Die Zone wurde erforscht'|trans({},'game') }}</span>
                                                    {% else %}
                                                        <img alt="" src="{{ asset('build/images/icons/scout_lv3.gif') }}" /><span>&nbsp;{{ 'Die Zone wurde voll und ganz erforscht und kartographiert'|trans({},'game') }}</span>
                                                    {% endif %}
                                                    {{ help_btn(('Diese Information gibt dir einen Hinweis darauf, ob Aufklärer gewöhnlicherweise hier vorbeikommen.<br /><em>Je mehr eine Zone erforscht wurde, desto geringer ist die Chance bei <strong>Betreten</strong> entdeckt zu werden (du kennst dann ein paar Schleichwege etc...).</em>')|trans({}, 'game')) }}
                                                </div>
                                            </div>
                                        {% endif %}
                                        <div class="cell rw-12 center">
                                            {% set dir = "" %}
                                            {% if zone.getDirection == constant('App\\Entity\\Zone::DirectionNorthWest') %}
                                                {% set dir = "Südosten"|trans({},'game') %}
                                            {% elseif zone.getDirection == constant('App\\Entity\\Zone::DirectionNorth') %}
                                                {% set dir = "Süden"|trans({},'game') %}
                                            {% elseif zone.getDirection == constant('App\\Entity\\Zone::DirectionNorthEast') %}
                                                {% set dir = "Südwesten"|trans({},'game') %}
                                            {% elseif zone.getDirection == constant('App\\Entity\\Zone::DirectionWest') %}
                                                {% set dir = "Osten"|trans({},'game') %}
                                            {% elseif zone.getDirection == constant('App\\Entity\\Zone::DirectionEast') %}
                                                {% set dir = "Westen"|trans({},'game') %}
                                            {% elseif zone.getDirection == constant('App\\Entity\\Zone::DirectionSouthWest') %}
                                                {% set dir = "Nordosten"|trans({},'game') %}
                                            {% elseif zone.getDirection == constant('App\\Entity\\Zone::DirectionSouth') %}
                                                {% set dir = "Norden"|trans({},'game') %}
                                            {% elseif zone.getDirection == constant('App\\Entity\\Zone::DirectionSouthEast') %}
                                                {% set dir = 'Nordwesten'|trans({},'game') %}
                                            {% endif %}
                                            {{ 'Stadt im {direction} in {km} Entfernung'|trans({'{km}': '<b>' ~ km ~ 'km</b>', '{direction}': dir|lower},'game')|raw }}&nbsp;&nbsp;(<div class="ap">{{ town_ap }}</div>)
                                        </div>
                                    </div>
                                {% endif %}
                            </div>
                            {{ help_lnk('Wie gebraucht man diese Karte?'|trans({},'game'), 'help', {'name': 'map'}) }}
                            {% if not app.user.expert %}
                                <div class="help">
                                    {% trans from "game" %}
                                        Du besitzt eine <strong>Karte</strong>. Benutze den Knopf hier oben, um nicht verloren zu gehen!
                                    {% endtrans %}
                                </div>
                            {% endif %}
                            {% if tired and citizen.hasRole('ghoul') %}
                                <div class="help">
                                    {{'Du bist'|trans({}, 'game')}} <img src="{{asset('build/images/status/status_tired.gif')}}" /> <strong>{{'Erschöpft'|trans({}, 'game')}}</strong> <a class="help-button"><div class="tooltip help">{{ 'Wenn du nichts zur Hand hast, um deine Erschöpfung zu lindern, dann bitte im Forum um Hilfe...'|trans({},'global') }}</div>{{ 'Hilfe'|trans({},'global') }}</a><br />
                                    <span class="small">
                                    {{'Ratschlag:'|trans({}, 'game')}}</span>
                                    {% if status_info.can_eat %}
                                        {{'Du kannst etwas essen, um deine Erschöpfung zu lindern.'|trans({}, 'game')}}
                                    {% else %}
                                        {{'Du hast bereits etwas gegessen. Dir bleiben nur noch Drogen und Alkohol!'|trans({}, 'game')}}
                                    {% endif %}
                                </div>
                            {% elseif tired %}
                                <div class="help">
                                    {{'Du bist'|trans({}, 'game')}} <img src="{{asset('build/images/status/status_tired.gif')}}" /> <strong>{{'Erschöpft'|trans({}, 'game')}}</strong> <a class="help-button"><div class="tooltip help">{{ 'Wenn du nichts zur Hand hast, um deine Erschöpfung zu lindern, dann bitte im Forum um Hilfe...'|trans({},'global') }}</div>{{ 'Hilfe'|trans({},'global') }}</a><br />
                                    <span class="small">
                                    {{'Ratschlag:'|trans({}, 'game')}}</span>
                                    {% if status_info.can_drink and status_info.can_eat %}
                                        {{'Iss ODER trink etwas Wasser.'|trans({}, 'game')}}
                                    {% elseif status_info.can_drink and not status_info.can_eat %}
                                        {{'Du kannst eine Ration Wasser trinken.'|trans({}, 'game')}}
                                    {% elseif status_info.can_eat and not status_info.can_drink %}
                                        {{'Du kannst etwas essen, um deine Erschöpfung zu lindern.'|trans({}, 'game')}}
                                    {% else %}
                                        {{'Du hast bereits etwas gegessen und getrunken. Dir bleiben nur noch Drogen und Alkohol!'|trans({}, 'game')}}
                                    {% endif %}
                                </div>
                            {% endif %}
                        {% if citizen.hasRole('ghoul') %}
                            <div class="help">
                                {{'Du bist ein Ghul! Versuche auf keinen Fall, Wasser zu trinken, das wird am Ende nur zu einer Verletzung führen...'|trans({}, 'game')}}<br />
                                {{ help_lnk('Lies die Hilfe zu Ghulen'|trans({}, 'game'), 'help', {'name': 'ghouls'}) }}
                            </div>
                        {% endif %}
                        </div>
                </div>
            {% endif %}
            {% if ruin_map_data is defined %}
                <div class="row">
                        <div class="cell background map-box rw-12">
                            {% embed "ajax/game/ruin_map.html.twig" with {
                                'map': ruin_map_data
                            } %}{% endembed %}
                        </div>
                    </div>
            {% endif %}

            {% if app.user.expert %}
                <div class="row">
                    <div class="cell rw-12 background">
                        <div class="beginner-link">{{ 'Brauchst du Hilfe? Benutze den {modelink}!'|trans({'{modelink}': ('<a href="#" x-toggle-expert-mode>' ~ ('Anfängermodus'|trans({},'game')) ~ '</a>')},'game')|raw }}</div>
                        {{ help_lnk('Handbuch zur Aussenwelt'|trans({},'game'), 'help', {'name': 'world_beyond'}) }}
                    </div>
                </div>
            {% endif %}
        </div>

        <div class="padded cell rw-8 rw-lg-6 rw-md-12" id="beyond_desert_content">
            {% block content %}
            {% endblock %}
        </div>
        <div class="cell rw-12 flavour-quote">
            « {{ quote.content }} »
        </div>
    </div>
{% endblock %}
{% block js %}
    {{ parent() }}
    <script>
        let movement_busy = false;
        $.components.clearEventListeners('beyond-map', 'player-movement');
        $.components.attachEventListener('beyond-map', 'player-movement', m=>{
            if (movement_busy) return;
            movement_busy = true;

            let completed = false;
            const complete = ()=>{
                if (!completed) $.ajax.pop_renderblock();
                completed = true;
            }
            setTimeout(complete, 1250)

            $.ajax.push_renderblock().background().easySend( '{{ path('beyond_desert_move_controller') }}', m,
                () => {
                    movement_busy = false;
                    $.ajax.background().load(null, '{{ path('beyond_dashboard') }}', true);
                }, null, data => {
                    movement_busy = false;
                    complete();
                    $.components.dispatchEvent('beyond-map', 'movement-reset', {});
                    $.html.selectErrorMessage( data.error, null, c.errors, data );
                }, true );
        });

        {% if ruin_map_data is defined %}
            {% embed "scripts/ruin_map.js.twig" with {'map': ruin_map_data} %}{% endembed %}
        {% endif %}

        $.html.addEventListenerAll('[x-toggle-expert-mode]','click', function(e,elem) {
            e.preventDefault();
            $.client.config.hiddenConditionalHelp.set([]);
            $.client.config.completedTutorials.set([]);
            $.ajax.easySend('{{ path('game_toggle_expert_mode')|e('js') }}', {}, function() {
                $.ajax.load( null, '{{ path('beyond_dashboard')|e('js') }}' );
            })
        })

        {% if not app.user.expert %}
            $.html.addEventListenerAll('.map .action-move', 'click', function() {
                $.html.conditionalSetTutorialStage(10,'text3',10,'text4');
            });

            const completed_tuts = $.client.config.completedTutorials.get();
            $.html.forEach('.beginner-mode li.tick[x-tutorial-section]', element => {
                if (completed_tuts.includes(parseInt(element.getAttribute('x-tutorial-section')))) element.classList.add('complete');
            });
        {% endif %}
    </script>
{% endblock %}